<?php
session_start();
require_once 'config.php';

if (!isset($_SESSION['user_id'])) {
    header("Location: login.php");
    exit();
}
?>

<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <title>التقارير التفصيلية - النظام المالي</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <div class="dashboard">
        <div class="card">
            <h2>التقارير التفصيلية</h2>
            
            <div class="report-filters">
                <form id="reportForm">
                    <div class="form-group">
                        <label>نوع التقرير:</label>
                        <select name="report_type">
                            <option value="daily">يومي</option>
                            <option value="monthly">شهري</option>
                            <option value="yearly">سنوي</option>
                            <option value="custom">مخصص</option>
                        </select>
                    </div>
                    
                    <div class="form-group date-range">
                        <label>من تاريخ:</label>
                        <input type="date" name="start_date">
                        
                        <label>إلى تاريخ:</label>
                        <input type="date" name="end_date">
                    </div>
                    
                    <button type="submit">عرض التقرير</button>
                </form>
            </div>

            <div id="reportResults">
                <!-- سيتم عرض نتائج التقرير هنا -->
            </div>
        </div>
    </div>

    <script>
    document.getElementById('reportForm').addEventListener('submit', function(e) {
        e.preventDefault();
        const formData = new FormData(this);
        
        fetch('generate_report.php', {
            method: 'POST',
            body: formData
        })
        .then(response => response.json())
        .then(data => {
            const resultsDiv = document.getElementById('reportResults');
            resultsDiv.innerHTML = `
                <div class="report-summary">
                    <h3>ملخص التقرير</h3>
                    <div class="summary-grid">
                        <div class="summary-item">
                            <h4>إجمالي الإيرادات</h4>
                            <p>${data.totalIncome} ريال</p>
                        </div>
                        <div class="summary-item">
                            <h4>إجمالي المصروفات</h4>
                            <p>${data.totalExpenses} ريال</p>
                        </div>
                        <div class="summary-item">
                            <h4>صافي الرصيد</h4>
                            <p>${data.netBalance} ريال</p>
                        </div>
                    </div>
                    
                    <div class="detailed-transactions">
                        <h3>تفاصيل المعاملات</h3>
                        ${data.transactions}
                    </div>
                </div>
            `;
        });
    });
    </script>
</body>
</html>