<?php
session_start();
require_once 'config.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $start_date = $_POST['start_date'];
    $end_date = $_POST['end_date'];
    $report_type = $_POST['report_type'];
    $user_id = $_SESSION['user_id'];

    // حساب إجمالي الإيرادات
    $sql = "SELECT SUM(amount) as total FROM income 
            WHERE user_id = ? AND date BETWEEN ? AND ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("iss", $user_id, $start_date, $end_date);
    $stmt->execute();
    $totalIncome = $stmt->get_result()->fetch_assoc()['total'] ?? 0;

    // حساب إجمالي المصروفات
    $sql = "SELECT SUM(amount) as total FROM expenses 
            WHERE user_id = ? AND date BETWEEN ? AND ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("iss", $user_id, $start_date, $end_date);
    $stmt->execute();
    $totalExpenses = $stmt->get_result()->fetch_assoc()['total'] ?? 0;

    // جلب تفاصيل المعاملات
    $transactions = "";
    
    // الإيرادات
    $sql = "SELECT * FROM income WHERE user_id = ? AND date BETWEEN ? AND ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("iss", $user_id, $start_date, $end_date);
    $stmt->execute();
    $result = $stmt->get_result();
    
    $transactions .= "<h4>الإيرادات</h4><table>";
    $transactions .= "<tr><th>التاريخ</th><th>الوصف</th><th>التصنيف</th><th>المبلغ</th></tr>";
    while ($row = $result->fetch_assoc()) {
        $transactions .= "<tr>";
        $transactions .= "<td>{$row['date']}</td>";
        $transactions .= "<td>{$row['description']}</td>";
        $transactions .= "<td>{$row['category']}</td>";
        $transactions .= "<td>{$row['amount']} ريال</td>";
        $transactions .= "</tr>";
    }
    $transactions .= "</table>";

    // المصروفات
    $sql = "SELECT * FROM expenses WHERE user_id = ? AND date BETWEEN ? AND ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("iss", $user_id, $start_date, $end_date);
    $stmt->execute();
    $result = $stmt->get_result();
    
    $transactions .= "<h4>المصروفات</h4><table>";
    $transactions .= "<tr><th>التاريخ</th><th>الوصف</th><th>التصنيف</th><th>المبلغ</th></tr>";
    while ($row = $result->fetch_assoc()) {
        $transactions .= "<tr>";
        $transactions .= "<td>{$row['date']}</td>";
        $transactions .= "<td>{$row['description']}</td>";
        $transactions .= "<td>{$row['category']}</td>";
        $transactions .= "<td>{$row['amount']} ريال</td>";
        $transactions .= "</tr>";
    }
    $transactions .= "</table>";

    $response = [
        'totalIncome' => number_format($totalIncome, 2),
        'totalExpenses' => number_format($totalExpenses, 2),
        'netBalance' => number_format($totalIncome - $totalExpenses, 2),
        'transactions' => $transactions
    ];

    echo json_encode($response);
}