<?php
session_start();
require_once 'config.php';

$user_id = $_SESSION['user_id'];

// حساب إجمالي الإيرادات
$sql = "SELECT SUM(amount) as total FROM income WHERE user_id = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $user_id);
$stmt->execute();
$totalIncome = $stmt->get_result()->fetch_assoc()['total'] ?? 0;

// حساب إجمالي المصروفات
$sql = "SELECT SUM(amount) as total FROM expenses WHERE user_id = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $user_id);
$stmt->execute();
$totalExpenses = $stmt->get_result()->fetch_assoc()['total'] ?? 0;

$response = [
    'totalIncome' => $totalIncome,
    'totalExpenses' => $totalExpenses,
    'balance' => $totalIncome - $totalExpenses
];

echo json_encode($response);