document.getElementById('incomeForm').addEventListener('submit', function(e) {
  e.preventDefault();
  const formData = new FormData(this);

  fetch('add_income.php', {
      method: 'POST',
      body: formData
    })
    .then(response => response.json())
    .then(data => {
      if (data.success) {
        alert('تم إضافة الإيراد بنجاح');
        loadReports();
      }
    });
});

document.getElementById('expenseForm').addEventListener('submit', function(e) {
  e.preventDefault();
  const formData = new FormData(this);

  fetch('add_expense.php', {
      method: 'POST',
      body: formData
    })
    .then(response => response.json())
    .then(data => {
      if (data.success) {
        alert('تم إضافة المصروف بنجاح');
        loadReports();
      }
    });
});

function loadReports() {
  fetch('get_reports.php')
    .then(response => response.json())
    .then(data => {
      const reportsDiv = document.getElementById('reports');
      reportsDiv.innerHTML = `
            <div class="report-summary">
                <h3>ملخص مالي</h3>
                <p>إجمالي الإيرادات: ${data.totalIncome}</p>
                <p>إجمالي المصروفات: ${data.totalExpenses}</p>
                <p>الرصيد: ${data.balance}</p>
            </div>
        `;
    });
}

// تحميل التقارير عند فتح الصفحة
loadReports();